TIMER_GETTIME(2)

NAME
timer_gettime - Get the time remaining on a POSIX.1b interval timer

SYNOPSIS

long sys_timer_gettime (timer_t timer_id, struct itimerspec *setting);

DESCRIPTION

timer_gettime gets the time remaining on a POSIX.1b interval timer, timer_id. It then loads this value in to the argument pointed to by setting.

RETURN VALUE

timer_gettime returns 0 on success. Otherwise, timer_gettime returns the errors listed in the "Errors" section.

ERRORS

-EINVAL
    An invalid timer_id value was specified.

-EFAULT
    An invalid address of setting was specified.

SEE ALSO

timer_create(2), timer_delete(2), timer_getovverun(2), timer_settime(2).

AUTHOR
Niki Rahimi.